unit pav_PACK_DLL;

interface
const
  {COMPRESS ERRORS CODES}
  COMPRESS_OK = $0000;

  {DECOMPRESS ERORS CODES}
  DECOMPRESS_OK = $0000;
  DECOMP_CRC32 = $0001;
  DECOMP_ASSIGN = $0002;
  DECOMP_SIZE = $0003;

  {DLL STRINGS}
  PACK_DLL_Compress_Name = 'PACK_DLL_Compress';
  PACK_DLL_Decompress_Name = 'PACK_DLL_Decompress';
  PACK_DLL_ReadHeaderEx_Name = 'PACK_DLL_ReadHeaderEx';

type

  PpavFileHeaderEx = ^TpavFileHeaderEx;
  TpavFileHeaderEx = record
    carFileSize:Cardinal;
    bCharCount,
    bAddBits:Byte;
  end;

  //ATarget <=> Compressed ASource
  TpavPACK = function(ATarget, ASource: string): Byte; stdcall;
  //ATarget <=> Decompressed ASource
  TpavUnPack = function(ATarget, ASource: string): Byte; stdcall;
  //AFileName => Compressed file
  TpavReadHeaderEx = procedure(AFileName: string; AHeaderEx: PpavFileHeaderEx); stdcall;

implementation

end.

